PROFNET(1)

NAME
profnet_* - neural network implementations in Fortran

SYNOPSIS
profnet_* [OPTION|filePar]

DESCRIPTION
profnet_* binaries are neural network implementations in Fortran. Due to the original design of the code, a specific binary is compiled for each particular network architecture, changing certain constants in the source code. Therefore, there is a binary for every network architecture used. Note: certain array structures are intentionally indexed out of bounds in some of the binaries.

Note:

This binary should only be used to run with pre-made training data, do not try to use it to train your network as it will produce undesired results. It was made to be used only as part of wrapping (dependent) packages and not as a standalone neural network program.

OPTIONS
This list is not exhaustive.

filePar
    file with input parameters (also gives fileIn, fileOut)

1   "switch"

2   number of input units

3   number of hidden units

4   number of output units

5   number of samples

6   bitacc (typically 100)

7   file with input vectors

8   file with junctions

9   file with output of NN ("none" -> no file written)

10  optional=dbg

[inter]
    will bring up dialog

NOTES
1st MUST be "switch"!

tested only with 2 layers!

AUTHOR
Burkhard Rost <rost@rostlab.org>

Bug fixes and enhancements by Laszlo Kajan <lkajan@rostlab.org> and Guy Yachdav <gyachdav@rostlab.org>

COPYRIGHT AND LICENSE
Copyright 1998-2011 by Burkhard Rost <rost@rostlab.org> EMBL, CUBIC (Columbia University, NY, USA) and LION Biosciences (Heidelberg, DE)

Copyright 2009-2011 by Laszlo Kajan <lkajan@rostlab.org> Technical University Munich (Munich, DE)

Copyright 2009-2011 by Guy Yachdav <gyachdav@rostlab.org> CUBIC (Columbia University, NY, USA) and Technical University Munich (Munich, DE)